GET /contacts/suppression_list

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/contacts/suppression_list

List contacts on your company blacklist.

Returns the contacts your company has blocked - your do-not-call blacklist. A blocked contact cannot call or text in, and no outbound calls, SMS, or email are sent to it. Supports pagination and filtering by creation date or the date the contact was blocked. Requires the Suppression List permission.

Params

Param name Description
page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • number
  • last_call_at
  • blocked
  • opt_out
  • calls_count
  • outbound_call_failure_count
  • outbound_no_answer_count
  • blocked_at
  • sms_opt_out_at
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off